apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ include "hifive.fullname" . }}
  labels:
{{ include "hifive.labels" . | indent 4 }}
data:
  {{- if .Values.email.bcc }}
  APPS_H5_BCC: {{ .Values.email.bcc }}
  {{- end }}
  APPS_H5_DB_USER: {{ .Values.postgresql.postgresqlUsername }}
  APPS_H5_DELIVERY_METHOD: {{ .Values.email.delivery_method }}
  APPS_H5_APP_HOST: {{- with index .Values.ingress.hosts 0 }} {{ .host | quote }}{{- end }}
  APPS_H5_SENDER: {{ .Values.email.sender }}
  APPS_H5_LDAP_BASE: {{ .Values.ldap.base }}
  APPS_H5_LDAP_GROUP: {{ .Values.ldap.group }}
  APPS_H5_LDAP_HOST: {{ .Values.ldap.host }}
  APPS_H5_LDAP_PORT: {{ .Values.ldap.port | quote }}
  APPS_H5_DB_NAME: {{ .Values.postgresql.postgresqlDatabase }}
  APPS_H5_DB_HOST: {{ template "hifive.postgresql.fullname" . }}
  APPS_H5_EMAIL_SMTP_HOST: {{ .Values.email.smtp_settings.address }}
  APPS_H5_EMAIL_SMTP_PORT: {{ .Values.email.smtp_settings.port | quote }}
  APPS_H5_EMAIL_SMTP_DOMAIN: {{ .Values.email.smtp_settings.domain | quote }}
  DATABASE_COMMAND: {{ .Values.database_command | quote }}
  AUTH_METHOD: {{ .Values.auth.method }}
  {{- if eq .Release.Revision 1 }}
  LOAD_LDAP_EMPLOYEES: "load"
  {{- end }}
  RAILS_ENV: "production"
  RAILS_LOG_TO_STDOUT: "true"
  RAILS_SERVE_STATIC_FILES: "true"
  SECRET_KEY_BASE: {{ randAlphaNum 20 | b64enc }}
